GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "39164f07-58aa-4220-a651-9515eedab800",
"Asset": {
"AssetId": "cb1bd5a3-2dba-4c47-93f6-19fd528e10fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "ae8b81ac-6174-433e-a6d0-fa45d6d9942e",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"MeasurementValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "1f0f5f94-d611-45c3-8635-bafbeb5a41b5",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"MeasurementValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "02f5c992-5cc7-4228-976c-1a55f77d61d6",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "2d6ff42f-3d7c-4dc9-bc09-8e7a0b16da2c",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "16d7ce21-83fe-4b96-aaa5-868ac731f751",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-14T01:13:14.3742229-07:00",
"Location": "sample string 1",
"TaskId": "948e7df1-56b0-43ac-ab6f-818384760a85",
"Values": [
{
"FormFieldValueId": "59f1dde9-11cc-4af6-a874-b31dfb7eafec",
"FormId": "c700c6a5-10b3-4318-95e5-748f7b9a10c8",
"FormTypeField": {
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"FormType": {
"FormTypeId": "2d6ff42f-3d7c-4dc9-bc09-8e7a0b16da2c",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "16d7ce21-83fe-4b96-aaa5-868ac731f751",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "59f1dde9-11cc-4af6-a874-b31dfb7eafec",
"FormId": "c700c6a5-10b3-4318-95e5-748f7b9a10c8",
"FormTypeField": {
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"FormType": {
"FormTypeId": "2d6ff42f-3d7c-4dc9-bc09-8e7a0b16da2c",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "16d7ce21-83fe-4b96-aaa5-868ac731f751",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "2d266bd7-5f7d-4d0c-9d33-0033d0518c7c",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "39164f07-58aa-4220-a651-9515eedab800",
"Asset": {
"AssetId": "cb1bd5a3-2dba-4c47-93f6-19fd528e10fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "ae8b81ac-6174-433e-a6d0-fa45d6d9942e",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"MeasurementValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "1f0f5f94-d611-45c3-8635-bafbeb5a41b5",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"MeasurementValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "02f5c992-5cc7-4228-976c-1a55f77d61d6",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "2d6ff42f-3d7c-4dc9-bc09-8e7a0b16da2c",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "16d7ce21-83fe-4b96-aaa5-868ac731f751",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-14T01:13:14.3742229-07:00",
"Location": "sample string 1",
"TaskId": "948e7df1-56b0-43ac-ab6f-818384760a85",
"Values": [
{
"FormFieldValueId": "59f1dde9-11cc-4af6-a874-b31dfb7eafec",
"FormId": "c700c6a5-10b3-4318-95e5-748f7b9a10c8",
"FormTypeField": {
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"FormType": {
"FormTypeId": "2d6ff42f-3d7c-4dc9-bc09-8e7a0b16da2c",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "16d7ce21-83fe-4b96-aaa5-868ac731f751",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "59f1dde9-11cc-4af6-a874-b31dfb7eafec",
"FormId": "c700c6a5-10b3-4318-95e5-748f7b9a10c8",
"FormTypeField": {
"FormTypeFieldId": "d56542fb-7ff5-45f5-ae5a-f9e6d5d4228f",
"FormType": {
"FormTypeId": "2d6ff42f-3d7c-4dc9-bc09-8e7a0b16da2c",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "d6829ed9-5fa8-4dc5-b9ad-09c030633c93",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f8a40054-86d2-4a1f-8dc6-229f881815f0",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-14T01:13:14.3742229-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "16d7ce21-83fe-4b96-aaa5-868ac731f751",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ec61e420-5c2e-4fea-815b-7764f1224d65",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "9e022c76-e1fe-4e2e-9fc6-74526f71d79f",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "8e083a2c-8c53-475d-8fa5-9046448764b8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "50bbf2b1-3b1c-4caf-85fb-7ab4fc203623",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "00f1b8e5-5698-43ff-b994-f4403afdc2f8",
"FieldId": "4203d0b9-0660-429c-8237-1450807ec03e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "2d266bd7-5f7d-4d0c-9d33-0033d0518c7c",
"CreateDate": "2026-10-14T01:13:14.3742229-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-14T01:13:14.3742229-07:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}